<?php
/*
	欢迎使用DM企业建站系统，本系统由www.demososo.com开发。
  
*/
require_once '../config_a/common.inc2010.php';
//$andlangbh = '';// important,use for ifhasid function
if($tid<>'')    ifhasid_nolang(TABLE_LANG,$tid); //ifhasid(TABLE_LANG,$tid);
 
if($act <> "pos") zb_insert($_POST);

 

$jumpvnolang ='mod_lang.php';
$jumpvmainlang ='mod_lang.php?lang='.$mainlang;
$jumpv ='mod_lang.php?lang='.LANG;//use ?lang="",is for &,not ?
$jumpv_file =$jumpv.'&file='.$file;
$jumpv_add =$jumpv.'&file=add';

$title = '语言管理';
if($file=="add") $title2 = '<a class="breadtitle" href="'.$jumpv.'">返回语言管理</a> - 添加语言';
else if($file=='editpath') $title2 = '<a  class="breadtitle"  href="'.$jumpv.'">返回语言管理</a> - 语言设置';
else if($file=='editbasicset') $title2 = '<a  class="breadtitle"  href="'.$jumpv.'">返回语言管理</a> - 基本设置';
else if($file=='edittextcfg') $title2 = '<a  class="breadtitle"  href="'.$jumpv.'">返回语言管理</a> - 文字配置';
else if($file=='editassets') $title2 = '<a  class="breadtitle"  href="'.$jumpv.'">返回语言管理</a> - 资源管理';
else if($file=='del') $title2 = '<a  class="breadtitle"  href="'.$jumpv.'">返回语言管理</a> - 删除站点';
else $title2 = '语言管理';

/*************************************************/


if($act == "sta")
{
   $v = htmlentitdm($v);
     $ss = "update ".TABLE_LANG." set sta_visible='$v' where id=$tid   limit 1";//$andlangbh
    iquery($ss);
     //dmnode_sta($v,$tid,TABLE_LANG);//no use it .bec no need lang here.
    jump($jumpv);
}
 

if($act == "pos")
{
    foreach ($_POST as $k=>$v123){
      $v123= (int)$v123;
      $k= (int)$k;
         $ss = "update ".TABLE_LANG." set  pos='$v123' where id='$k'   limit 1";
         iquery($ss);
        }
      jump($jumpv);
}

 

/*************************************************/
require_once HERE_ROOT.'mod_common/tpl_header.php';

?>

 <div class="page-title-box">
                    <h4 class="page-title">
                    <?php echo $title2;
                   if($file<>'') echo ' (语言标识：'.LANG.')';
                   ?> </h4>
                   
                    <div class="clearfix"></div>
  </div>
 
 
  <div class="row">
    <div class="col-md-12">
        <div class="white-box">
            
      


 
  <?php
  if($file=='editpath' || $file=='editassets' || $file=='editbasicset' || $file=='edittextcfg')
         require_once HERE_ROOT.'mod_basic/tpl_lang_inc_tab.php';
         
        ?>
    <section class="content">


    <?php
      if($file=='list'){
       if(ENABLEMULTISITE=='y'){

         if(is_file(HERE_ROOT.'mod_basic/tpl_lang_add.php')){
    ?>
    
      <div class="contenttop">
      <a href="<?php echo $jumpv_add?>"><i class="fa fa-plus-circle"></i> 添加语言</a>
      </div>
 
   
    <?php
         }
          if(SITEIDBYDOMAIN=='y') echo '站点形式：采用域名方式。';
          else echo '站点形式：采用后缀方式。';
    }
    else{
      

       //if(LANG<>$mainlang) echo '<span class="cred">错误提示：由于没有开通多站点功能，当前主语言和管理站点不一致，从后台跳转到前台的链接会出错。请退出后台再重新登录。</span>';
    }
  }
    ?>

		   
        <?php
         
         require_once HERE_ROOT.'mod_basic/tpl_lang_'.$file.'.php';
         
        ?>

  </div>
    </div>
  </div>


<?php
require_once HERE_ROOT.'mod_common/tpl_footer.php'; 


?>

 